Send Template Message
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/sendTemplateMessage/{workspaceId}/{assistantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"toNumber": "<string>",
"templateName": "<string>",
"language": "<string>",
"parameters": {}
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/sendTemplateMessage/{workspaceId}/{assistantId}"
payload = {
"toNumber": "<string>",
"templateName": "<string>",
"language": "<string>",
"parameters": {}
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
toNumber: '<string>',
templateName: '<string>',
language: '<string>',
parameters: {}
})
};
fetch('https://catalystapi.superdashhq.com/api/v1/whatsapp/manage/sendTemplateMessage/{workspaceId}/{assistantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "Outbound WhatsApp Message succesfully sent",
"data": {
"messaging_product": "whatsapp",
"contacts": [
{
"input": "<WHATSAPP_USER_PHONE_NUMBER>",
"wa_id": "<WHATSAPP_USER_ID>"
}
],
"messages": [
{
"id": "<WHATSAPP_MESSAGE_ID>",
"message_status": "<PACING_STATUS>"
}
],
"phoneNumberId": "<PHONE_NUMBER_ID_USED>"
}
}
{
"msg": "Internal Server Error"
}
WhatsApp
Send Template Message
Send a WhatsApp Template Message
POST
/
v1
/
whatsapp
/
manage
/
sendTemplateMessage
/
{workspaceId}
/
{assistantId}
Send Template Message
Authorizations
string
required
API Key associated with the workspace
Path Parameters
string
required
The ID of the Workspace
string
required
The ID of the WhatsApp Assistant
Body Parameters
string
required
The Recipient’s Phone Number with country code
string
required
The Name of the WhatsApp Template
string
required
The Language code of the WhatsApp Template
object
The
"Named Parameters" if any, to be used in the specified WhatsApp Template{
"msg": "Outbound WhatsApp Message succesfully sent",
"data": {
"messaging_product": "whatsapp",
"contacts": [
{
"input": "<WHATSAPP_USER_PHONE_NUMBER>",
"wa_id": "<WHATSAPP_USER_ID>"
}
],
"messages": [
{
"id": "<WHATSAPP_MESSAGE_ID>",
"message_status": "<PACING_STATUS>"
}
],
"phoneNumberId": "<PHONE_NUMBER_ID_USED>"
}
}
{
"msg": "Internal Server Error"
}
⌘I